Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 431078 - Please implement stable use masking
Summary: Please implement stable use masking
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Enhancement/Feature Requests (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL: http://git.overlays.gentoo.org/gitweb...
Whiteboard: in-eapi-5
Keywords: InVCS
Depends on:
Blocks: future-eapi 414817 431026
  Show dependency tree
 
Reported: 2012-08-12 12:54 UTC by Andreas K. Hüttel
Modified: 2012-09-23 06:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel gentoo-dev 2012-08-12 12:54:44 UTC
Now opening the "formal bug", after we've discussed this a few times...

Please add portage support in EAPI=5 profile directories for the files
use.stable.mask,
use.stable.force,
package.use.stable.mask,
package.use.stable.force

http://archives.gentoo.org/gentoo-dev/msg_6c492ae43ad7c70cef6aa8ac34911adf.xml
http://git.overlays.gentoo.org/gitweb/?p=proj/pms.git;a=commitdiff;h=2921080e5b4f67ae55d2f80f8fea2b8d47ced831
Comment 2 Zac Medico gentoo-dev 2012-08-26 23:14:07 UTC
This is fixed in 2.1.11.12 and 2.2.0_alpha123.
Comment 3 Ulrich Müller gentoo-dev 2012-08-30 09:42:55 UTC
Looks like we don't have a separate PMS bug for this feature, so CCing pms-bugs to this one.